/*******************************************************************************
* File Name: buttonL.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_buttonL_H) /* Pins buttonL_H */
#define CY_PINS_buttonL_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "buttonL_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 buttonL__PORT == 15 && ((buttonL__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    buttonL_Write(uint8 value);
void    buttonL_SetDriveMode(uint8 mode);
uint8   buttonL_ReadDataReg(void);
uint8   buttonL_Read(void);
void    buttonL_SetInterruptMode(uint16 position, uint16 mode);
uint8   buttonL_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the buttonL_SetDriveMode() function.
     *  @{
     */
        #define buttonL_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define buttonL_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define buttonL_DM_RES_UP          PIN_DM_RES_UP
        #define buttonL_DM_RES_DWN         PIN_DM_RES_DWN
        #define buttonL_DM_OD_LO           PIN_DM_OD_LO
        #define buttonL_DM_OD_HI           PIN_DM_OD_HI
        #define buttonL_DM_STRONG          PIN_DM_STRONG
        #define buttonL_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define buttonL_MASK               buttonL__MASK
#define buttonL_SHIFT              buttonL__SHIFT
#define buttonL_WIDTH              1u

/* Interrupt constants */
#if defined(buttonL__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in buttonL_SetInterruptMode() function.
     *  @{
     */
        #define buttonL_INTR_NONE      (uint16)(0x0000u)
        #define buttonL_INTR_RISING    (uint16)(0x0001u)
        #define buttonL_INTR_FALLING   (uint16)(0x0002u)
        #define buttonL_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define buttonL_INTR_MASK      (0x01u) 
#endif /* (buttonL__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define buttonL_PS                     (* (reg8 *) buttonL__PS)
/* Data Register */
#define buttonL_DR                     (* (reg8 *) buttonL__DR)
/* Port Number */
#define buttonL_PRT_NUM                (* (reg8 *) buttonL__PRT) 
/* Connect to Analog Globals */                                                  
#define buttonL_AG                     (* (reg8 *) buttonL__AG)                       
/* Analog MUX bux enable */
#define buttonL_AMUX                   (* (reg8 *) buttonL__AMUX) 
/* Bidirectional Enable */                                                        
#define buttonL_BIE                    (* (reg8 *) buttonL__BIE)
/* Bit-mask for Aliased Register Access */
#define buttonL_BIT_MASK               (* (reg8 *) buttonL__BIT_MASK)
/* Bypass Enable */
#define buttonL_BYP                    (* (reg8 *) buttonL__BYP)
/* Port wide control signals */                                                   
#define buttonL_CTL                    (* (reg8 *) buttonL__CTL)
/* Drive Modes */
#define buttonL_DM0                    (* (reg8 *) buttonL__DM0) 
#define buttonL_DM1                    (* (reg8 *) buttonL__DM1)
#define buttonL_DM2                    (* (reg8 *) buttonL__DM2) 
/* Input Buffer Disable Override */
#define buttonL_INP_DIS                (* (reg8 *) buttonL__INP_DIS)
/* LCD Common or Segment Drive */
#define buttonL_LCD_COM_SEG            (* (reg8 *) buttonL__LCD_COM_SEG)
/* Enable Segment LCD */
#define buttonL_LCD_EN                 (* (reg8 *) buttonL__LCD_EN)
/* Slew Rate Control */
#define buttonL_SLW                    (* (reg8 *) buttonL__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define buttonL_PRTDSI__CAPS_SEL       (* (reg8 *) buttonL__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define buttonL_PRTDSI__DBL_SYNC_IN    (* (reg8 *) buttonL__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define buttonL_PRTDSI__OE_SEL0        (* (reg8 *) buttonL__PRTDSI__OE_SEL0) 
#define buttonL_PRTDSI__OE_SEL1        (* (reg8 *) buttonL__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define buttonL_PRTDSI__OUT_SEL0       (* (reg8 *) buttonL__PRTDSI__OUT_SEL0) 
#define buttonL_PRTDSI__OUT_SEL1       (* (reg8 *) buttonL__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define buttonL_PRTDSI__SYNC_OUT       (* (reg8 *) buttonL__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(buttonL__SIO_CFG)
    #define buttonL_SIO_HYST_EN        (* (reg8 *) buttonL__SIO_HYST_EN)
    #define buttonL_SIO_REG_HIFREQ     (* (reg8 *) buttonL__SIO_REG_HIFREQ)
    #define buttonL_SIO_CFG            (* (reg8 *) buttonL__SIO_CFG)
    #define buttonL_SIO_DIFF           (* (reg8 *) buttonL__SIO_DIFF)
#endif /* (buttonL__SIO_CFG) */

/* Interrupt Registers */
#if defined(buttonL__INTSTAT)
    #define buttonL_INTSTAT            (* (reg8 *) buttonL__INTSTAT)
    #define buttonL_SNAP               (* (reg8 *) buttonL__SNAP)
    
	#define buttonL_0_INTTYPE_REG 		(* (reg8 *) buttonL__0__INTTYPE)
#endif /* (buttonL__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_buttonL_H */


/* [] END OF FILE */
