/*******************************************************************************
* File Name: sw1reset.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_sw1reset_H) /* Pins sw1reset_H */
#define CY_PINS_sw1reset_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "sw1reset_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 sw1reset__PORT == 15 && ((sw1reset__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    sw1reset_Write(uint8 value);
void    sw1reset_SetDriveMode(uint8 mode);
uint8   sw1reset_ReadDataReg(void);
uint8   sw1reset_Read(void);
void    sw1reset_SetInterruptMode(uint16 position, uint16 mode);
uint8   sw1reset_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the sw1reset_SetDriveMode() function.
     *  @{
     */
        #define sw1reset_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define sw1reset_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define sw1reset_DM_RES_UP          PIN_DM_RES_UP
        #define sw1reset_DM_RES_DWN         PIN_DM_RES_DWN
        #define sw1reset_DM_OD_LO           PIN_DM_OD_LO
        #define sw1reset_DM_OD_HI           PIN_DM_OD_HI
        #define sw1reset_DM_STRONG          PIN_DM_STRONG
        #define sw1reset_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define sw1reset_MASK               sw1reset__MASK
#define sw1reset_SHIFT              sw1reset__SHIFT
#define sw1reset_WIDTH              1u

/* Interrupt constants */
#if defined(sw1reset__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in sw1reset_SetInterruptMode() function.
     *  @{
     */
        #define sw1reset_INTR_NONE      (uint16)(0x0000u)
        #define sw1reset_INTR_RISING    (uint16)(0x0001u)
        #define sw1reset_INTR_FALLING   (uint16)(0x0002u)
        #define sw1reset_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define sw1reset_INTR_MASK      (0x01u) 
#endif /* (sw1reset__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define sw1reset_PS                     (* (reg8 *) sw1reset__PS)
/* Data Register */
#define sw1reset_DR                     (* (reg8 *) sw1reset__DR)
/* Port Number */
#define sw1reset_PRT_NUM                (* (reg8 *) sw1reset__PRT) 
/* Connect to Analog Globals */                                                  
#define sw1reset_AG                     (* (reg8 *) sw1reset__AG)                       
/* Analog MUX bux enable */
#define sw1reset_AMUX                   (* (reg8 *) sw1reset__AMUX) 
/* Bidirectional Enable */                                                        
#define sw1reset_BIE                    (* (reg8 *) sw1reset__BIE)
/* Bit-mask for Aliased Register Access */
#define sw1reset_BIT_MASK               (* (reg8 *) sw1reset__BIT_MASK)
/* Bypass Enable */
#define sw1reset_BYP                    (* (reg8 *) sw1reset__BYP)
/* Port wide control signals */                                                   
#define sw1reset_CTL                    (* (reg8 *) sw1reset__CTL)
/* Drive Modes */
#define sw1reset_DM0                    (* (reg8 *) sw1reset__DM0) 
#define sw1reset_DM1                    (* (reg8 *) sw1reset__DM1)
#define sw1reset_DM2                    (* (reg8 *) sw1reset__DM2) 
/* Input Buffer Disable Override */
#define sw1reset_INP_DIS                (* (reg8 *) sw1reset__INP_DIS)
/* LCD Common or Segment Drive */
#define sw1reset_LCD_COM_SEG            (* (reg8 *) sw1reset__LCD_COM_SEG)
/* Enable Segment LCD */
#define sw1reset_LCD_EN                 (* (reg8 *) sw1reset__LCD_EN)
/* Slew Rate Control */
#define sw1reset_SLW                    (* (reg8 *) sw1reset__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define sw1reset_PRTDSI__CAPS_SEL       (* (reg8 *) sw1reset__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define sw1reset_PRTDSI__DBL_SYNC_IN    (* (reg8 *) sw1reset__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define sw1reset_PRTDSI__OE_SEL0        (* (reg8 *) sw1reset__PRTDSI__OE_SEL0) 
#define sw1reset_PRTDSI__OE_SEL1        (* (reg8 *) sw1reset__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define sw1reset_PRTDSI__OUT_SEL0       (* (reg8 *) sw1reset__PRTDSI__OUT_SEL0) 
#define sw1reset_PRTDSI__OUT_SEL1       (* (reg8 *) sw1reset__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define sw1reset_PRTDSI__SYNC_OUT       (* (reg8 *) sw1reset__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(sw1reset__SIO_CFG)
    #define sw1reset_SIO_HYST_EN        (* (reg8 *) sw1reset__SIO_HYST_EN)
    #define sw1reset_SIO_REG_HIFREQ     (* (reg8 *) sw1reset__SIO_REG_HIFREQ)
    #define sw1reset_SIO_CFG            (* (reg8 *) sw1reset__SIO_CFG)
    #define sw1reset_SIO_DIFF           (* (reg8 *) sw1reset__SIO_DIFF)
#endif /* (sw1reset__SIO_CFG) */

/* Interrupt Registers */
#if defined(sw1reset__INTSTAT)
    #define sw1reset_INTSTAT            (* (reg8 *) sw1reset__INTSTAT)
    #define sw1reset_SNAP               (* (reg8 *) sw1reset__SNAP)
    
	#define sw1reset_0_INTTYPE_REG 		(* (reg8 *) sw1reset__0__INTTYPE)
#endif /* (sw1reset__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_sw1reset_H */


/* [] END OF FILE */
